화이트리스트에 주소 추가
Add one or more addresses to your whitelist.
Authorizations
API-KeystringRequired
Body
Responses
200
Response. A non-zero code indicates a business error even when the HTTP status is 200.
application/json
codeintegerOptionalExample:
The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
0msgstringOptionalExample:
The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
Success401
Authentication failed. The API-Key header is missing or invalid.
429
Rate limit exceeded. Reduce the request rate and retry.
post/whitelists/add
POST /phalcon/compliance/v2/whitelists/add HTTP/1.1
Host: api.blocksec.com
API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"addresses": [
{
"address": "0x00d8e6012a1d05d1a160deb8d54ef04a0d2a6cb3",
"chainId": 1,
"reason": "approved partner wallet"
}
]
}{
"code": 0,
"msg": "Success",
"data": {
"addedAddresses": [
{
"address": "0x00d8e6012a1d05d1a160deb8d54ef04a0d2a6cb3",
"chainId": 1,
"reason": "Test"
}
]
}
}마지막 업데이트